Package ru.bgcrm.plugin.dispatch.dao

# Class DispatchDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.plugin.dispatch.dao.DispatchDAO

public class DispatchDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Dispatch>`
  `accountSubscriptions(String email)`
  `void`
  `accountSubscriptionUpdate(String email, Set<Integer> dispatchIds)`
  `void`
  `dispatchDelete(int id)`
  `Dispatch`
  `dispatchGet(int id)`
  `List<Dispatch>`
  `dispatchList(Set<Integer> ids)`
  `void`
  `dispatchUpdate(Dispatch dispatch)`
  `void`
  `dispatchUpdateAccountCounts()`
  `List<String>`
  `messageAccountList(int messageId)`
  `void`
  `messageDelete(int id)`
  `DispatchMessage`
  `messageGet(int id)`
  `void`
  `messageSearch(Pageable<DispatchMessage> result, Boolean sent)`
  `List<DispatchMessage>`
  `messageUnsentList()`
  `void`
  `messageUpdate(DispatchMessage message)`
  `void`
  `searchDispatch(Pageable<Dispatch> result)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchDAO

    public DispatchDAO(Connection con)

- ## Method Details

  - ### searchDispatch

    public void searchDispatch(Pageable<Dispatch> result) throws SQLException
    Throws:
      `SQLException`

  - ### dispatchUpdate

    public void dispatchUpdate(Dispatch dispatch) throws SQLException
    Throws:
      `SQLException`

  - ### dispatchGet

    public Dispatch dispatchGet(int id) throws SQLException
    Throws:
      `SQLException`

  - ### dispatchDelete

    public void dispatchDelete(int id) throws SQLException
    Throws:
      `SQLException`

  - ### dispatchList

    public List<Dispatch> dispatchList(Set<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### dispatchUpdateAccountCounts

    public void dispatchUpdateAccountCounts() throws SQLException
    Throws:
      `SQLException`

  - ### accountSubscriptions

    public List<Dispatch> accountSubscriptions(String email) throws SQLException
    Throws:
      `SQLException`

  - ### accountSubscriptionUpdate

    public void accountSubscriptionUpdate(String email, Set<Integer> dispatchIds) throws SQLException
    Throws:
      `SQLException`

  - ### messageSearch

    public void messageSearch(Pageable<DispatchMessage> result, Boolean sent) throws SQLException
    Throws:
      `SQLException`

  - ### messageUnsentList

    public List<DispatchMessage> messageUnsentList() throws SQLException
    Throws:
      `SQLException`

  - ### messageGet

    public DispatchMessage messageGet(int id) throws SQLException
    Throws:
      `SQLException`

  - ### messageDelete

    public void messageDelete(int id) throws SQLException
    Throws:
      `SQLException`

  - ### messageAccountList

    public List<String> messageAccountList(int messageId) throws SQLException
    Throws:
      `SQLException`

  - ### messageUpdate

    public void messageUpdate(DispatchMessage message) throws Exception
    Throws:
      `Exception`